Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_SequenceProxyPushSupplier_i Class Reference

`#include <Notify_SequenceProxyPushSupplier_i.h>`

Inheritance diagram for TAO_Notify_SequenceProxyPushSupplier_i:

[legend]
Collaboration diagram for TAO_Notify_SequenceProxyPushSupplier_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_SequenceProxyPushSupplier_i (TAO_Notify_ConsumerAdmin_i *consumer_admin)
virtual | ~TAO_Notify_SequenceProxyPushSupplier_i (void)
virtual void | connect_sequence_push_consumer (CosNotifyComm::SequencePushConsumer_ptr push_consumer ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )
virtual void | disconnect_sequence_push_supplier (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
## Protected Methods
virtual void | dispatch_event_i (TAO_Notify_Event &event ACE_ENV_ARG_DECL)
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed ACE_ENV_ARG_DECL)
void | setup_qos_policies (ACE_ENV_SINGLE_ARG_DECL)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
## Protected Attributes
CosNotifyComm::SequencePushConsumer_var | push_consumer_
## Private Types
typedef TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier > | proxy_inherited
## Private Attributes
CosNotification::EventBatch | event_cache_
CORBA::Boolean | from_timeout_
CORBA::Boolean | reset_timeout_flag_
ACE_Lock * | batch_lock_

## Member Typedef Documentation

typedef TAO_Notify_ProxySupplier<POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier> TAO_Notify_SequenceProxyPushSupplier_i::proxy_inherited`[private]`

## Constructor & Destructor Documentation

TAO_Notify_SequenceProxyPushSupplier_i::TAO_Notify_SequenceProxyPushSupplier_i | ( | TAO_Notify_ConsumerAdmin_i * | consumer_admin | ) |

TAO_Notify_SequenceProxyPushSupplier_i::~TAO_Notify_SequenceProxyPushSupplier_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_SequenceProxyPushSupplier_i::connect_sequence_push_consumer | ( | CosNotifyComm::SequencePushConsumer_ptr push_consumer | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )`[virtual]`

void TAO_Notify_SequenceProxyPushSupplier_i::disconnect_sequence_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_Notify_SequenceProxyPushSupplier_i::dispatch_event_i | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Reimplemented from TAO_Notify_ProxySupplier.

void TAO_Notify_SequenceProxyPushSupplier_i::dispatch_update_i | ( | CosNotification::EventTypeSeq | added,
|  | CosNotification::EventTypeSeq removed | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Reimplemented from TAO_Notify_Proxy.

int TAO_Notify_SequenceProxyPushSupplier_i::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = 0
| ) | `[protected, virtual]`

| Reimplemented from ACE_Event_Handler.

void TAO_Notify_SequenceProxyPushSupplier_i::setup_qos_policies | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Notify_Proxy.

void TAO_Notify_SequenceProxyPushSupplier_i::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_EventListener.

## Member Data Documentation

ACE_Lock* TAO_Notify_SequenceProxyPushSupplier_i::batch_lock_`[private]`

CosNotification::EventBatch TAO_Notify_SequenceProxyPushSupplier_i::event_cache_`[private]`

CORBA::Boolean TAO_Notify_SequenceProxyPushSupplier_i::from_timeout_`[private]`

CosNotifyComm::SequencePushConsumer_var TAO_Notify_SequenceProxyPushSupplier_i::push_consumer_`[protected]`

CORBA::Boolean TAO_Notify_SequenceProxyPushSupplier_i::reset_timeout_flag_`[private]`

The documentation for this class was generated from the following files:

- Notify_SequenceProxyPushSupplier_i.h
- Notify_SequenceProxyPushSupplier_i.cpp